jQuery(document).ready(function($) {
	 	
	 	// Check if dropdown is offscreen
	 	$(".zen-menu-horizontal li.parent").on('mouseenter mouseleave', function () {
	 		var item = $(this).index();
	 		$('.zen-menu-horizontal li').removeClass('zen-menu-offscreen');
	 	    $('body').offscreen_check(item);
	 	});
	 	
	 	$(window).bind("debouncedresize", function() {
	 		$(".zen-menu-horizontal li").on('mouseenter mouseleave', function () {
	 			var item = $(this).index();
	 			$('.zen-menu-horizontal li').removeClass('zen-menu-offscreen');
	 			$('body').offscreen_check(item);	        
	 		});
	 	});
});



(function ($) {
	
	// Checks to see if menu is offscreen and attaches zen-menu-offscreen class
	$.fn.offscreen_check = function (item) {
		var item = item + 1;
		var elm = $('ul:first', this);
		var off = elm .offset();
		var l = off.left;
		var w = elm.width() + 50;
		var docH = $(window).height();
		var docW = $(window).width();
		var isEntirelyVisible = (l+ w <= docW);
			         
		if ( ! isEntirelyVisible ) {
		    $('.zen-menu-horizontal li:nth-child(' + item + ')').addClass('zen-menu-offscreen');
		    
		} else {
		    $(this).parent().removeClass('zen-menu-offscreen');
		}
	};
		
})(jQuery);