<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 * This file loads the assets required for the admin panel.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		ZGF4
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldScripts extends JFormField
{
	protected $type = 'Scripts';

	protected function getInput()
	{
		
		// Define template name
		if (!defined('TEMPLATE')) {
			define( 'TEMPLATE', basename(dirname(dirname(dirname(__FILE__)))));
		}
		
		$document = JFactory::getDocument();
		$base = JURI::root();
		$media = $base.'templates/'.TEMPLATE.'/zen/admin/';
		$document->addStyleSheet($media.'css/style.css' );
		$document->addStyleSheet($media.'css/colpick.css' );
		$document->addScript($media.'js/lib/jquery-ui-1.8.23.custom.min.js');
		$document->addScript($media.'js/lib/uikit.min.js');
		$document->addScript($media.'js/lib/colpick.js');
		$document->addScript($media.'js/lib/smoothscroll.js');		
		$document->addScript($media.'js/zen/set_theme_data.js');
		$document->addScript($media.'js/zen/set_layout_data.js');	
		$document->addScript($media.'js/zen/compile_data.js');
		$document->addScript($media.'js/zen/compress_data.js');	
		$document->addScript($media.'js/zen/apply_style.js');
		$document->addScript($media.'js/zen/delete_theme.js');	
		$document->addScript($media.'js/zen/tools.js');	
		
		// Import Folder system
		jimport('joomla.filesystem.folder');
		
		// Hide the following params
		
		ob_start();
		?>
		
		
		<?php
		return ob_get_clean();
	}
}