<?php
/**
* @package   Zen Grid Framework
* @author    Joomlabamboo http://www.Jjoomlabamboo.com
* @copyright Copyright (C) Joomlabamboo
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// No Direct Access
defined('_JEXEC') or die(); 

$zgf = new zen();

// Template Id
$templateId = $zgf->template_id();

$settings = $zgf->getsettings($templateId)->params;


?>

	<div class="bevel <?php echo $class;?>"></div>
	
	<div class="section-heading">
		<a name="<?php echo $name;?>"></a>
		<h2 id="<?php echo $name;?>" class="uk-article-title <?php echo $class;?>"><?php echo $label;?></h2></div>

	<?php if($description !=="" && isset($description)) { ?>
 		<p class="info"><?php echo $description;?></p>
	<?php } ?>
	
	<?php if($name =="Theme-options") {?>
		<?php if($settings->load_template_css) {?>
			<p class="uk-alert uk-alert-warning">
				<strong>Load Template css enabled.</strong><br />
				Load Template css is enabled in your template settings.<br />
				The load template css option bypasses the theme options built into this template.<br /> Disable this option to be able to edit and create themes.</p>
		<?php } ?>
		
		
		<?php if($name =="Theme-options") {?>
			<?php if($settings->devmode) {?>
			<p class="uk-alert uk-alert-warning">
				<strong>Dev mode enabled</strong><br />
				Development mode is enabled in your theme settings. <br />The dev mode option bypasses the theme options built into this template.<br /> Disable this option to be able to edit and create themes.
			</p>
			<div class="clearfix"></div>
			<?php } ?>
		<?php } ?>
	<?php } ?>
	