<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Define template name
if (!defined('TEMPLATE')) {
	define( 'TEMPLATE', basename(dirname(dirname(dirname(__FILE__)))));
}

// Include Helpers
	include TEMPLATE_PATH.'/zen/helpers/helper.php'; 

	// Instantiate $zgf
	$zgf = new zen();

// Template Path
$template_path = TEMPLATE_PATH;
$layoutpath		= TEMPLATE_PATH.'/settings/layouts/';

jimport('joomla.filesystem.path');
jimport('joomla.filesystem.file');

// Receive Data
$jinput = JFactory::getApplication()->input;

// Files from Assets.xml
$layout = $jinput->get('layout', '', 'RAW');

// Get Theme blocks
$theme_layout = $zgf->get_json('settings/layouts/'.$layout.'.json');

// Compare keys with default layout with used layouts
$default_layout = $zgf->get_json('settings/layouts/positions.json');



foreach ($default_layout as $key => $row) { 
	
	if($key !=="main") {
		echo '<div id="'.$key.'" data-id="'.$key.'" class="module-row">';
		echo '<div class="row-title"><span>'.$key.'</span>'.
		'<div class="stack-position">'.
		'<div><span class="icon-desktop"></span>'.
		'<a class="stack-positions" id="hidden-desktop" href="#">Hide</a></div>'. 
		'<div><span class="icon-tablet"></span>'.
		'<a class="stack-positions" id="stack-tablets" href="#">Stack</a>'.
		'<a class="stack-positions" id="hidden-tablets" href="#">Hide</a></div>'.
		'<div><span class="icon-mobile"></span>'.
		'<a href="#" class="stack-positions" id="stack-phones">Stack</a>'.
		'<a href="#" class="stack-positions" id="hidden-phones">Hide</a>'.
		'</div></div></div>';
		
		foreach ($row as $title => $width) {
			
			if(isset($theme_layout->$key->{'positions'}->{$title})) {
				$width = $theme_layout->$key->{'positions'}->{$title};
			}
			
			echo '<div id="'.$title.'" class="resizable ui-widget-content grid-'.$width.' visible" data-width="'.$width.'">';
			echo '<h3 class="ui-widget-header">';
			echo '<span class="icon-eye"></span>';
			echo '<span class="col-count"></span>'.ucfirst($title).' </h3>';
			echo '</div>';
			
		}
		
		echo '</div>';
	
		
		echo '<div data-id="'.$key.'" class="unused-modules"><span class="icon-eye cancel"></span>';
			
			foreach ($row as $title => $width) {
				echo '<div data-id="'.$title.'">'.ucfirst($title).'</div>';
			}
			
		echo '</div>';	
	}
	
	else {
		
		echo '<div id="'.$key.'" data-id="'.$key.'" class="module-row">';
			echo '<div class="row-title"><span>'.$key.'</span><a class="main-content-toggle" href="#main-left-right" id="maincontent_sidebar1_sidebar2">Main Left Right</a> / <a class="main-content-toggle" href="#left-main-right" id="sidebar1_maincontent_sidebar2">Left Main Right</a> / <a class="main-content-toggle" href="#left-right-main" id="sidebar1_sidebar2_maincontent">Left Right Main</a>'.
			'<div class="stack-position">'.
			'<div><span class="icon-desktop"></span>'.
			'<a class="stack-positions" id="hidden-desktop" href="#">Hide</a></div>'. 
			'<div><span class="icon-tablet"></span>'.
			'<a class="stack-positions" id="stack-tablets" href="#">Stack</a>'.
			'<a class="stack-positions" id="hidden-tablets" href="#">Hide</a></div>'.
			'<div><span class="icon-mobile"></span>'.
			'<a href="#" class="stack-positions" id="stack-phones">Stack</a>'.
			'<a href="#" class="stack-positions" id="hidden-phones">Hide</a>'.
			'</div></div></div>';
			
			// Default main positions
			$default_main = (array)$default_layout->main;
			
			// Used positions
			$mainlayout = 	(array)$theme_layout->main->positions;
			
			// Get any iotems not used but should be in array
			// Items in this will be nulled and in the hidden row.
			$diff = array_diff_key($default_main,$mainlayout);
			
			
			foreach ($mainlayout as $title => $width) {
				echo '<div id="'.$title.'" class="resizable ui-widget-content grid-'.$width.' visible" data-width="'.$width.'">';
				echo '<h3 class="ui-widget-header">';
				echo '<span class="icon-eye"></span>';
				echo '<span class="col-count"></span>'.ucfirst($title).' </h3>';
				echo '</div>';
			}
			
			foreach ($diff as $title => $width) {
				echo '<div id="'.$title.'" class="resizable ui-widget-content grid-'.$width.' hidden" data-width="'.$width.'">';
				echo '<h3 class="ui-widget-header">';
				echo '<span class="icon-eye"></span>';
				echo '<span class="col-count"></span>'.ucfirst($title).' </h3>';
				echo '</div>';
			}
			
			echo '</div>';
		
			
			echo '<div data-id="'.$key.'" class="unused-modules"><span class="icon-eye cancel"></span>';
				
				foreach ($row as $title => $width) {
					echo '<div data-id="'.$title.'">'.ucfirst($title).'</div>';
				}
				
			echo '</div>';
			
	}
}?>


<script>
	
	jQuery(document).ready(function($) {

		<?php // Loads the layout on first page laod
			foreach ($theme_layout as $key => $row) { 
	
			// Get state for classes
			$classes = $row->classes;
			$classes = explode(' ', $classes->classes);
			
			foreach ($classes as $class) {
				if($class!=="") { ?>
					$("#resize-container #<?php echo $key;?> #<?php echo $class;?>").addClass("active");
				<?php }
			}
			
			// Get positions
			$row = $row->positions;
			
			foreach ($row as $module => $item) { ?>
				$("#resize-container #<?php echo $module;?>").attr("data-active", "1");
			<?php } 
	} ?>
	
	});
</script>