<?php
/**
 * @package     ##package##
 * @subpackage  ##subpackage##
 * @author      ##author##
 * @copyright   ##copyright##
 * @license     ##license##
 * @version     ##version##
 */

// No Direct Access
defined('_JEXEC') or die();


/**
 * Defines the various classes and fields used in the config.xml 
 * Called from the admin/fields/options.php
 * 
 *
 *
 *
 */
 
 
class zen
{

		/**
	     *  Render fields specified in template config.xml
	     *
	     */
	     
	     public function __construct()
	     {


	     }

	    public function render($type,$description,$label,$options, $name,$class, $value, $tag, $compile,$target)
	    {
	       	$path = TEMPLATE_PATH . 'zen/fields/'.$type.'.php';
			
			if(file_exists($path)) {
	       		include($path);
	       	}
	    }
	    
	    
	    /**
	     *  Returns contents of xml
	     *
	     */
	     
	    public function get_xml($path) {
	    	$path = TEMPLATE_PATH.$path;
	    	return JFactory::getXML($path);
	    }
	    
	    
	    
	    /**
	     * Returns a json decoded object
	     *
	     * 
	     */
	    
	    
	    public function get_json($path) {
	    	$file = TEMPLATE_PATH .$path;
	    	$settings = Jfile::Read($file);
	    	$settings = json_decode($settings);
	    	return $settings;
	    }
	    
	        
	    
	    
	    /**
	     *  List files in a folder
	     *
	     */
	     
	    public function get_files($folder, $filter) {
	    	$folder = TEMPLATE_PATH.$folder;
	    	$files = JFolder::files($folder, $filter = $filter);
	    	return $files;
	    }
	    

    
	    /**
	     *  Get saved settings
	     *
	     */
	     
	    public function getsettings($templateId) {
	    
	    	$settings = TEMPLATE_PATH .'settings/settings/settings-'.$templateId.'.json';
	    	
	    	if(file_exists($settings)) {
	    	
	    		$settings = self::get_json('settings/settings/settings-'.$templateId.'.json');
	    			    		
	    		// Check to see if params have become corrupted
	    		// Sometimes the details arent saved properly
	    		$params = $settings->params;
	    		
	    		if(empty($params)) {
	    			
	    			// Adds a message if params are emoty
	    			JFactory::getApplication()->enqueueMessage('Stored settings corrupt. Reverting to default settings. Please check your settings.');
	    			
	    			// Load the default params
	    			return self::get_json('settings/settings/settings.json');
	    			
	    		}
	    		
	    		else {
	    			return self::get_json('settings/settings/settings-'.$templateId.'.json');
	    		}
	    		
	    	} else {
	    		return self::get_json('settings/settings/settings.json');
	    	}

		}	
		
		
		public function template_id() {
			$templateId = explode('&id=', $_SERVER["REQUEST_URI"]);
			$templateId = $templateId[1];
			$templateId = explode('&', $templateId);
			$templateId = $templateId[0];
			return $templateId;
		}	
}